Bug Hunting Session
Bug 43210 - preview before printing in RTL lang, the 1st page is from left
Summary: preview before printing in RTL lang, the 1st page is from left
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Issa Alkurtass
URL:
Whiteboard: target:3.6.4
Keywords: patch
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2011-11-23 14:40 UTC by Assaf Sapir
Modified: 2012-10-18 13:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Assaf Sapir 2011-11-23 14:40:40 UTC
In writer, even thou the GUI and the writing lang is RTL, when previewing before printing, the furst page is in the left of the second page, which is uncorrect for RTL lang.

steps for reducing:
creat a document with 2 or more pages
no matter what, the first page is in the left of the second page.
Comment 1 Lior Kaplan 2011-12-06 07:33:50 UTC
Confirmed. This is regardless of the file/page directionality (LTR/RTL) or the interface itself.
Comment 2 Lior Kaplan 2012-01-11 13:24:05 UTC
The patches available at https://issues.apache.org/ooo/show_bug.cgi?id=80209 might be a good starting point for this bug. If there's a need to clear the license - let me know and I'll contact the author.
Comment 3 Lior Kaplan 2012-01-11 13:44:53 UTC
Please check the patch at https://issues.apache.org/ooo/show_bug.cgi?id=76697 for the same problem. I can contact the author for a license clearance if needed.
Comment 4 Lior Kaplan 2012-01-11 13:48:24 UTC
Please ignore the previous comment. Wrong place for that patch.
Comment 5 Issa Alkurtass 2012-09-05 08:24:55 UTC
Patch uploaded to code review https://gerrit.libreoffice.org/#/c/557/
Comment 6 Lior Kaplan 2012-09-10 16:02:27 UTC
Thanks for the fix!

Could we consider this for 3.6?
Comment 7 Lior Kaplan 2012-10-18 11:17:21 UTC
Fix vrified in LibO master build (5ad86ef) on Debian 64bit.

I'll try to cherry pick this fix for 3.6 branch.
Comment 8 Lior Kaplan 2012-10-18 13:35:23 UTC
Pushed to 3.6 branch, should appear in 3.6.4.
Comment 9 Not Assigned 2012-10-18 13:36:26 UTC
Issa Alkurtass committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a0949b101e4ea70984e714065c94854fa071fd6&g=libreoffice-3-6

fdo#43210 Corrected page preview direction for RTL interface


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.